@charset "UTF-8";

hr {
    border: 0;
    border-top: 2px solid #D0D0D0;
    margin: 20px 0;
}

table {
    width: 100%;
    margin-bottom: 20px;
}

.table>tbody>tr>td {
    padding: 8px;
    border-top: 1px solid #ddd;
}

.btn-buy.main {
    width: 75%;
    padding: 10px 22px;
}

.gallery-container {
    width: 100%;
    align-items: center;
}

.selectors-cont > .thumbnail-container {
    position: unset;
    margin: 10px 0;
    height: 40px;
}

.thumb-item {
    width: 100%;
    aspect-ratio: 1 / 1;
    border: 2px solid #eee;
    background: none;
    padding: 0;
    cursor: pointer;
    transition: 0.3s;
    flex-shrink: 0;
}

.preview-cont {
    display: flex;
    justify-content: space-evenly;
}

.preview-cont::-webkit-scrollbar { height: 3px; width: 3px }

.preview-cont::-webkit-scrollbar-thumb {
    background: orange;
    border-radius: 2px;
}

/* --- ДЕСКТОП (Зліва прев'ю, справа фото) --- */
@media (min-width: 992px) {
    .single-product-slider .badge-overlay { left: 95px; }
    .gallery-container {
        display: grid;
        gap: 15px;
        grid-template-columns: 80px 1fr;
    }

    .preview-cont {
        flex-direction: column;
        overflow-y: auto;
        height: 100%;
    }

    .selectors-cont { padding-left: 95px; }

    .gallery-thumbs {
        grid-row: 1;
        position: relative;
        height: 100%;
        display: flex;
        flex-direction: column;
        gap: 10px;
        padding-right: 5px;
    }

    
    .gallery-thumbs-inner {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        display: flex;
        flex-direction: column;
    }

    .nav-btn > i { rotate: 90deg; }
}

@media (max-width: 991px) {
    .single-product-slider .badge-overlay {
        top: 80px;
    }

    .gallery-container {
        grid-template-columns: 1fr;
    }

    .preview-cont {
        flex-direction: row;
        gap: 8px;
        position: absolute;
        left: 40px;
        right: 40px;
        overflow-x: auto;
    }

    .gallery-thumbs {
        display: flex;
        width: 100%;
        position: relative;
        height: 70px;
        margin-bottom: 10px;
    }

    .thumb-item { width: 70px; }

    .gallery-thumbs-inner {
        display: flex;
        flex-direction: row;
        width: 100%;
    }

    .gallery-main { order: 2; }

    .nav-btn.next { margin-left: auto; }

    .nav-btn > svg { rotate: -90deg; }
}

.thumb-item.active { border-color: #ff8c42; }

.thumb-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery-main { position: relative; }

.main-slider {
    height: 100%;
    width: 100%;
}

.main-item {
    display: none;
    height: 100%;
}

.main-item.active {display: block; }

.main-item img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.nav-btn {
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 2;
    background-color: transparent;
}
.prod-single-row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    gap: 30px;
}
.accords {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    border-top: 2px solid #D0D0D0;
    padding: 10px;
}


.product-detail-row {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 12px;
}

.product-detail-row label {
    min-width: 110px;
    margin-bottom: 0;
    font-weight: 500;
}

.product-detail-row > *:not(label) {
    margin-left: 8px;
}
